local mod = ...



-- Building Asset Processor -------------------------------------------------------------------------------------
mod:registerAssetProcessor("models/BasicMaterials1.fbx", { DataType = "BUILDING_ASSET_PROCESSOR" })



-- Assets -------------------------------------------------------------------------------------
mod:registerAssetId("models/BasicMaterials1.fbx/Prefab/ClayPart", "PREFAB_BASIC_CLAYPIT")
mod:registerAssetId("models/BasicMaterials1.fbx/Prefab/ThatchPart", "PREFAB_BASIC_THATCHER")
mod:registerAssetId("models/BasicMaterials1.fbx/Prefab/ReedPart", "PREFAB_BASIC_REEDBED")
mod:registerAssetId("models/BasicMaterials1.fbx/Prefab/PotterPart", "PREFAB_BASIC_POTTERKILN")
mod:registerAssetId("models/BasicMaterials1.fbx/Prefab/PotterCartPart", "PREFAB_BASIC_POTTERCART")



-- Paths: Pottery Cart
mod:registerAssetId("models/BasicMaterials1.fbx/Prefab/PotterCartPart/PATH_E_1", "PATH_BASIC_POTTERCART1")
mod:registerAssetId("models/BasicMaterials1.fbx/Prefab/PotterCartPart/PATH_C_1", "PATH_BASIC_POTTERCART2")
mod:registerAssetId("models/BasicMaterials1.fbx/Prefab/PotterCartPart/PATH_D_1", "PATH_BASIC_POTTERCART3")
mod:registerAssetId("models/BasicMaterials1.fbx/Prefab/PotterCartPart/PATH_F_1", "PATH_BASIC_POTTERCART4")

mod:registerPrefabComponent("models/BasicMaterials1.fbx/Prefab/PotterCartPart", {
    DataType = "COMP_BUILDING_PART",
    PathList = {
        {
            PathType = BUILDING_PATH_TYPE.DEFAULT,
            WayPointList = { "PATH_BASIC_POTTERCART1" }
        },
        {
            PathType = BUILDING_PATH_TYPE.PICKUP,
            WayPointList = { "PATH_BASIC_POTTERCART2" }
        },
        {
            PathType = BUILDING_PATH_TYPE.PICKUP,
            WayPointList = { "PATH_BASIC_POTTERCART3" }
        },
        {
            PathType = BUILDING_PATH_TYPE.PICKUP,
            WayPointList = { "PATH_BASIC_POTTERCART4" }
        },
    }
})



-- Grounding -------------------------------------------------------------------------------------
mod:registerPrefabComponent("models/BasicMaterials1.fbx/Prefab/ThatchPart/Thatch.002", {DataType = "COMP_GROUNDED"})
mod:registerPrefabComponent("models/BasicMaterials1.fbx/Prefab/ThatchPart/Thatch.003", {DataType = "COMP_GROUNDED"})
mod:registerPrefabComponent("models/BasicMaterials1.fbx/Prefab/ThatchPart/Thatch.004", {DataType = "COMP_GROUNDED"})

for i=1, 4, 1 do
	mod:registerPrefabComponent("models/BasicMaterials1.fbx/Prefab/ClayPart/Bucket." .. string.sub("000" .. i, -3), {DataType = "COMP_GROUNDED"})
end

for i=1, 150, 1 do
	mod:registerPrefabComponent("models/BasicMaterials1.fbx/Prefab/ReedPart/Reed." .. string.sub("000" .. i, -3), {DataType = "COMP_GROUNDED"})
end

for i=1, 12, 1 do
	mod:registerPrefabComponent("models/BasicMaterials1.fbx/Prefab/PotterPart/Pottery." .. string.sub("000" .. i, -3), {DataType = "COMP_GROUNDED"})
end



-- Alpha material (transparency) -------------------------------------------------------------------------------------
mod:registerAssetId("models/BasicMaterials1.fbx/Materials/Material.Reed", "MATERIAL_REED")
mod:override({
    Id = "MATERIAL_REED",
    HasAlphaTest = true
})

mod:registerAssetId("models/BasicMaterials1.fbx/Materials/Material.ReedShort", "MATERIAL_REED_SHORT")
mod:override({
    Id = "MATERIAL_REED_SHORT",
    HasAlphaTest = true
})



-- Plantable -------------------------------------------------------------------------------------
mod:registerPrefabComponent("models/BasicMaterials1.fbx/Prefab/ReedPart", { DataType = "COMP_PLANTABLE", MinSpaceBetweenPlant = 0.2 })



-- Resource Container -------------------------------------------------------------------------------------
for i=1, 150, 1 do
	mod:registerPrefabComponent("models/BasicMaterials1.fbx/Prefab/ReedPart/Reed." .. string.sub("000" .. i, -3), {
		DataType = "COMP_RESOURCE_CONTAINER",
		ResourceData = "RESOURCE_THATCH",
		IsReplenishable = true,
		ReplenishDurationInDays = 28,
		ReplenishQuantity = 1,
		ReplenishedMaterial = "MATERIAL_REED",
		DepletedMaterial = "MATERIAL_REED_SHORT",
		ResourceValue = 0.25, -- how many are gathered with each pick
		AvailableQuantity = 1, -- maximum container stock
		Radius = 2.00, -- distance from container that the villager will stand to pick
		IsDestroyWhenEmpty = false,
		HasMaximumWorkstation = false
	})
end



-- Smoke Emitter -------------------------------------------------------------------------------------
mod:registerPrefabComponent("models/BasicMaterials1.fbx/Prefab/PotterPart/SmokeEmitter.001", {
	DataType = "COMP_PARTICLE_EMITTER",
	ParticleSystem = "PARTICLE_SYSTEM_HOUSING_SMOKE",
	IsPlaying = true,
	IsEmitting = true
})

mod:registerPrefabComponent("models/BasicMaterials1.fbx/Prefab/PotterPart/SmokeEmitter.001", {
	DataType = "COMP_PARTICLE_EMITTER_TOGGLE",
	Enabled = false
})
