local mod = ...



-- Change starting inventory -------------------------------------------------------------------------------------
mod:override({
	Id = "DEFAULT_VILLAGE_CENTER_INVENTORY",
	Collection = {
		Action = "APPEND",
        {Resource = "RESOURCE_SHINGLE", Quantity = 40}, 
        {Resource = "RESOURCE_TILE", Quantity = 40}, 
    }
})



-- Implement all changes to main Balancing asset -------------------------------------------------------------------------------------
mod:override({
    Id = "DEFAULT_BALANCING",
    BuildingCostOverrideList = {
        Action = "APPEND", "BUILDING_PART_COST_LIST_OVERRIDE_BASIC" -- puts in the list of custom prices, resources, upkeep, etc
    }
})



-- Change the native buildings controlled by Building Part Cost List, by creating a cost list override and appending to the default balancing ID -------------------------------------------------------------------------------------
mod:register({
    DataType = "BUILDING_PART_COST_LIST",
    Id = "BUILDING_PART_COST_LIST_OVERRIDE_BASIC",
    BuildingPartCostList = {

		-- House Serf Level 1
		{
			BuildingPart = "BUILDING_PART_HOUSING_SERF_DENSITY_1",
			BuildingPartCost = {
				RessourcesNeeded = {
					{ Resource = "WOOD", Quantity = 6 },
					{ Resource = "RESOURCE_THATCH", Quantity = 6 },
					{ Resource = "RESOURCE_CLAY", Quantity = 6 },
				}
			}
		}, 

		-- House Serf Level 2
		{
			BuildingPart = "BUILDING_PART_HOUSING_SERF_DENSITY_2",
			BuildingPartCost = {
				RessourcesNeeded = {
					{ Resource = "WOOD", Quantity = 12 },
					{ Resource = "RESOURCE_THATCH", Quantity = 12 },
					{ Resource = "RESOURCE_CLAY", Quantity = 12 },
				}
			}
		}, 

		-- House Commoner Level 1
		{
			BuildingPart = "BUILDING_PART_HOUSING_CITIZEN_DENSITY_1",
			BuildingPartCost = {
				RessourcesNeeded = {
					{ Resource = "WOOD", Quantity = 10 },
					{ Resource = "RESOURCE_SHINGLE", Quantity = 10 },
					{ Resource = "STONE", Quantity = 10 },
				}
			}
		}, 

		-- House Commoner Level 2
		{
			BuildingPart = "BUILDING_PART_HOUSING_CITIZEN_DENSITY_2",
			BuildingPartCost = {
				RessourcesNeeded = {
					{ Resource = "WOOD", Quantity = 20 },
					{ Resource = "RESOURCE_SHINGLE", Quantity = 20 },
					{ Resource = "STONE", Quantity = 20 },
				}
			}
		}, 

        -- Well
        {
            BuildingPart = "BUILDING_PART_WELL",
            BuildingPartCost = {
                BuildRightTaxes = {
                    { Resource = "GOLD", Quantity = 5 }
                },
                UpkeepCost = {
                    { Resource = "GOLD", Quantity = 1 }
                },
                RessourcesNeeded = {
                    { Resource = "WOOD", Quantity = 1 }, 
                    { Resource = "STONE", Quantity = 4 },
                    { Resource = "RESOURCE_TILE", Quantity = 2 }, 
                }
            }
        }, 

        -- Sawmill
        {
            BuildingPart = "BUILDING_PART_SAWMILL",
            BuildingPartCost = {
                BuildRightTaxes = {
                    { Resource = "GOLD", Quantity = 10 }
                },
                UpkeepCost = {
                    { Resource = "GOLD", Quantity = 5 }
                },
                RessourcesNeeded = {
                    { Resource = "WOOD", Quantity = 20 }, 
                    { Resource = "STONE", Quantity = 10 },
                    { Resource = "RESOURCE_SHINGLE", Quantity = 10 }, 
                }
            }
        }, 

        -- Stonemason hut
        {
            BuildingPart = "BUILDING_PART_STONEMASON",
            BuildingPartCost = {
                BuildRightTaxes = {
                    { Resource = "GOLD", Quantity = 10 }
                },
                UpkeepCost = {
                    { Resource = "GOLD", Quantity = 1 }
                },
                RessourcesNeeded = {
                    { Resource = "WOOD", Quantity = 10 }, 
                    { Resource = "WOOLEN_CLOTH", Quantity = 5 }
                }
            }
        }, 

        -- Granary
        {
            BuildingPart = "BUILDING_PART_GRANARY",
            BuildingPartCost = {
                BuildRightTaxes = {
                    { Resource = "GOLD", Quantity = 50 }
                },
                UpkeepCost = {
                    { Resource = "GOLD", Quantity = 15 }
                },
                RessourcesNeeded = {
                    { Resource = "WOOD", Quantity = 20 }, 
                    { Resource = "STONE", Quantity = 10 }
                }
            }
        }, 

        -- Warehouse
        {
            BuildingPart = "BUILDING_PART_WAREHOUSE",
            BuildingPartCost = {
                BuildRightTaxes = {
                    { Resource = "GOLD", Quantity = 50 }
                },
                UpkeepCost = {
                    { Resource = "GOLD", Quantity = 15 }
                },
                RessourcesNeeded = {
                    { Resource = "WOOD", Quantity = 20 }, 
                    { Resource = "STONE", Quantity = 10 }
                }
            }
        }, 

        -- Foresters camp
        {
            BuildingPart = "BUILDING_PART_FORESTER",
            BuildingPartCost = {
                BuildRightTaxes = {
                    { Resource = "GOLD", Quantity = 5 }
                },
                UpkeepCost = {
                    { Resource = "GOLD", Quantity = 1 }
                },
                RessourcesNeeded = {
                    { Resource = "WOOD", Quantity = 10 }, 
                    { Resource = "STONE", Quantity = 2 }
                }
            }
        }, 

        -- Dairy farm
        {
            BuildingPart = "BUILDING_PART_DAIRY_FARM",
            BuildingPartCost = {
                BuildRightTaxes = {
                    { Resource = "GOLD", Quantity = 1 }
                },
                UpkeepCost = {
                    { Resource = "GOLD", Quantity = 1 }
                },
                RessourcesNeeded = {
                    { Resource = "WOOD", Quantity = 20 }, 
                    { Resource = "STONE", Quantity = 10 },
                    { Resource = "RESOURCE_THATCH", Quantity = 10 }, 
                }
            }
        },


        -- Blacksmith
        {
            BuildingPart = "BUILDING_PART_BLACKSMITH",
            BuildingPartCost = {
                BuildRightTaxes = {
                    { Resource = "GOLD", Quantity = 25 }
                },
                UpkeepCost = {
                    { Resource = "GOLD", Quantity = 10 }
                },
                RessourcesNeeded = {
                    { Resource = "WOOD", Quantity = 10 }, 
                    { Resource = "PLANK", Quantity = 20 }, 
                    { Resource = "TOOL", Quantity = 10 }, 
                    { Resource = "STONE", Quantity = 20 }, 
                    { Resource = "POLISHED_STONE", Quantity = 5 },
                    { Resource = "RESOURCE_CLAY", Quantity = 4 }, 
                    { Resource = "RESOURCE_SHINGLE", Quantity = 10 }, 
                }
            }
        }, 

        -- Iron Smelter
        {
            BuildingPart = "BUILDING_PART_IRON_SMELTER",
            BuildingPartCost = {
                BuildRightTaxes = {
                    { Resource = "GOLD", Quantity = 25 }
                },
                UpkeepCost = {
                    { Resource = "GOLD", Quantity = 10 }
                },
                RessourcesNeeded = {
                    { Resource = "WOOD", Quantity = 10 }, 
                    { Resource = "PLANK", Quantity = 20 }, 
                    { Resource = "TOOL", Quantity = 10 }, 
                    { Resource = "STONE", Quantity = 20 },
                    { Resource = "RESOURCE_CLAY", Quantity = 4 }, 
                    { Resource = "RESOURCE_SHINGLE", Quantity = 12 }, 
                }
            }
        },

        -- Coal hut
        {
            BuildingPart = "BUILDING_PART_COAL_HUT",
            BuildingPartCost = {
                BuildRightTaxes = {
                    { Resource = "GOLD", Quantity = 15 }
                },
                UpkeepCost = {
                    { Resource = "GOLD", Quantity = 5 }
                },
                RessourcesNeeded = {
                    { Resource = "WOOD", Quantity = 5 }, 
                    { Resource = "PLANK", Quantity = 10 }, 
                    { Resource = "STONE", Quantity = 10 }
                }
            }
        },


        -- Sheep farm
        {
            BuildingPart = "BUILDING_PART_SHEEP_FARM",
            BuildingPartCost = {
                BuildRightTaxes = {
                    { Resource = "GOLD", Quantity = 1 }
                },
                UpkeepCost = {
                    { Resource = "GOLD", Quantity = 1 }
                },
                RessourcesNeeded = {
                    { Resource = "WOOD", Quantity = 15 }, 
                    { Resource = "STONE", Quantity = 2 },
                    { Resource = "RESOURCE_THATCH", Quantity = 6 }, 
                }
            }
        },


        -- Wheat farm
        {
            BuildingPart = "BUILDING_PART_WHEAT_FARM",
            BuildingPartCost = {
                BuildRightTaxes = {
                    { Resource = "GOLD", Quantity = 1 }
                },
                UpkeepCost = {
                    { Resource = "GOLD", Quantity = 1 },
                },
                RessourcesNeeded = {
                    { Resource = "WOOD", Quantity = 15 }, 
                    { Resource = "PLANK", Quantity = 5 }, 
                    { Resource = "STONE", Quantity = 2 },
                    { Resource = "RESOURCE_CLAY", Quantity = 12 }, 
                    { Resource = "RESOURCE_THATCH", Quantity = 12 }, 
                }
            }
        },


        -- Bakery
        {
            BuildingPart = "BUILDING_PART_BAKERY",
            BuildingPartCost = {
                BuildRightTaxes = {
                    { Resource = "GOLD", Quantity = 25 }
                },
                UpkeepCost = {
                    { Resource = "GOLD", Quantity = 5 }
                },
                RessourcesNeeded = {
                    { Resource = "STONE", Quantity = 10 }, 
                    { Resource = "PLANK", Quantity = 20 }, 
                    { Resource = "WOOD", Quantity = 10 }, 
                    { Resource = "TOOL", Quantity = 2 },
                    { Resource = "RESOURCE_CLAY", Quantity = 12 }, 
                    { Resource = "RESOURCE_SHINGLE", Quantity = 12 }, 
                }
            }
        },

        -- Windmill
        {
            BuildingPart = "BUILDING_PART_WINDMILL",
            BuildingPartCost = {
                BuildRightTaxes = {
                    { Resource = "GOLD", Quantity = 35 }
                },
                UpkeepCost = {
                    { Resource = "GOLD", Quantity = 10 }
                },
                RessourcesNeeded = {
                    { Resource = "PLANK", Quantity = 20 }, 
                    { Resource = "WOOD", Quantity = 10 }, 
                    { Resource = "STONE", Quantity = 15 }, 
                    { Resource = "TOOL", Quantity = 2 },
                    { Resource = "RESOURCE_CLAY", Quantity = 8 }, 
                    { Resource = "RESOURCE_TILE", Quantity = 6 }, 
                }
            }
        },

        -- Weaver
        {
            BuildingPart = "BUILDING_PART_WEAVER_HUT",
            BuildingPartCost = {
                BuildRightTaxes = {
                    { Resource = "GOLD", Quantity = 25 }
                },
                UpkeepCost = {
                    { Resource = "GOLD", Quantity = 10 }
                },
                RessourcesNeeded = {
                    { Resource = "PLANK", Quantity = 15 }, 
                    { Resource = "WOOD", Quantity = 10 }, 
                    { Resource = "STONE", Quantity = 10 }, 
                    { Resource = "TOOL", Quantity = 5 },
                    { Resource = "RESOURCE_SHINGLE", Quantity = 10 }, 
                }
            }
        },

        -- Tailor
        {
            BuildingPart = "BUILDING_PART_TAILOR_WORKSHOP",
            BuildingPartCost = {
                BuildRightTaxes = {
                    { Resource = "GOLD", Quantity = 25 }
                },
                UpkeepCost = {
                    { Resource = "GOLD", Quantity = 10 }
                },
                RessourcesNeeded = {
                    { Resource = "PLANK", Quantity = 15 }, 
                    { Resource = "WOOD", Quantity = 10 }, 
                    { Resource = "STONE", Quantity = 10 }, 
                    { Resource = "TOOL", Quantity = 5 },
                    { Resource = "RESOURCE_SHINGLE", Quantity = 12 }, 
                }
            }
        }, 

        -- Fisher
        {
            BuildingPart = "BUILDING_PART_FISHING_HUT",
            BuildingPartCost = {
                BuildRightTaxes = {
                    { Resource = "GOLD", Quantity = 1 }
                },
                UpkeepCost = {
                    { Resource = "GOLD", Quantity = 1 }
                },
                RessourcesNeeded = {
                    { Resource = "WOOD", Quantity = 10 }, 
                    { Resource = "TOOL", Quantity = 1 }
                }
            }
        },

        -- Hunter's Hut
        {
            BuildingPart = "BUILDING_PART_HUNTERS_HUT",
            BuildingPartCost = {
                BuildRightTaxes = {
                    { Resource = "GOLD", Quantity = 10 }
                },
                UpkeepCost = {
                    { Resource = "GOLD", Quantity = 1 }
                },
                RessourcesNeeded = {
                    { Resource = "WOOD", Quantity = 10 }, 
                    { Resource = "TOOL", Quantity = 1 }
                }
            }
        },

        -- Cheese maker
        {
            BuildingPart = "BUILDING_PART_CHEESE_MAKER",
            BuildingPartCost = {
                BuildRightTaxes = {
                    { Resource = "GOLD", Quantity = 35 }
                },
                UpkeepCost = {
                    { Resource = "GOLD", Quantity = 15 }
                },
                RessourcesNeeded = {
                    { Resource = "STONE", Quantity = 15 }, 
                    { Resource = "PLANK", Quantity = 20 }, 
                    { Resource = "WOOD", Quantity = 10 }, 
					{ Resource = "TOOL", Quantity = 2 },
                    { Resource = "RESOURCE_CLAY", Quantity = 12 }, 
                    { Resource = "RESOURCE_SHINGLE", Quantity = 14 }, 
                }
            }
        },

        -- Brewery
        {
            BuildingPart = "BUILDING_PART_BREWERY",
            BuildingPartCost = {
                BuildRightTaxes = {
                    { Resource = "GOLD", Quantity = 35 }
                },
                UpkeepCost = {
                    { Resource = "GOLD", Quantity = 15 }
                },
                RessourcesNeeded = {
                    { Resource = "STONE", Quantity = 15 }, 
                    { Resource = "PLANK", Quantity = 20 }, 
                    { Resource = "WOOD", Quantity = 10 }, 
                    { Resource = "TOOL", Quantity = 2 },
                    { Resource = "RESOURCE_CLAY", Quantity = 8 }, 
                    { Resource = "RESOURCE_TILE", Quantity = 10 }, 
                }
            }
        },

        -- Hop farm
        {
            BuildingPart = "BUILDING_PART_HOP_FARM",
            BuildingPartCost = {
                BuildRightTaxes = {
                    { Resource = "GOLD", Quantity = 15 }
                },
                UpkeepCost = {
                    { Resource = "GOLD", Quantity = 10 }
                },
                RessourcesNeeded = {
                    { Resource = "STONE", Quantity = 15 }, 
                    { Resource = "PLANK", Quantity = 10 }, 
                    { Resource = "WOOD", Quantity = 10 }, 
                    { Resource = "TOOL", Quantity = 2 },
                    { Resource = "RESOURCE_TILE", Quantity = 10 }, 
                }
            }
        },

		-- Cooperage
		{
			BuildingPart = "BUILDING_PART_COOPERAGE",
			BuildingPartCost = {
				BuildRightTaxes = {
					{ Resource = "GOLD", Quantity = 25 }
				},
				UpkeepCost = {
					{ Resource = "GOLD", Quantity = 20 }
				},
				RessourcesNeeded = {
					{ Resource = "STONE", Quantity = 8 }, 
					{ Resource = "PLANK", Quantity = 10 }, 
					{ Resource = "WOOD", Quantity = 10 }, 
					{ Resource = "TOOL", Quantity = 2 },
					{ Resource = "RESOURCE_TILE", Quantity = 8 }, 
				}
			}
		},

		-- Vineyard
		{
			BuildingPart = "BUILDING_PART_VINEYARD",
			BuildingPartCost = {
				BuildRightTaxes = {
					{ Resource = "GOLD", Quantity = 20 }
				},
				UpkeepCost = {
					{ Resource = "GOLD", Quantity = 15 }
				},
				RessourcesNeeded = {
					{ Resource = "STONE", Quantity = 2 }, 
					{ Resource = "PLANK", Quantity = 2 }, 
					{ Resource = "WOOD", Quantity = 4 }, 
				}
			}
		},

		-- Weaponsmith
		{
			BuildingPart = "BUILDING_PART_WEAPONSMITH",
			BuildingPartCost = {
				BuildRightTaxes = {
					{ Resource = "GOLD", Quantity = 25 }
				},
				UpkeepCost = {
					{ Resource = "GOLD", Quantity = 15 }
				},
				RessourcesNeeded = {
					{ Resource = "STONE", Quantity = 8 }, 
					{ Resource = "PLANK", Quantity = 10 }, 
					{ Resource = "WOOD", Quantity = 10 }, 
					{ Resource = "TOOL", Quantity = 2 },
					{ Resource = "RESOURCE_CLAY", Quantity = 10 }, 
					{ Resource = "RESOURCE_TILE", Quantity = 10 }, 
				}
			}
		},

        -- Gold Smelter
        {
            BuildingPart = "BUILDING_PART_GOLD_SMELTER",
            BuildingPartCost = {
                BuildRightTaxes = {
                    { Resource = "GOLD", Quantity = 25 }
                },
                UpkeepCost = {
                    { Resource = "GOLD", Quantity = 10 }
                },
                RessourcesNeeded = {
                    { Resource = "POLISHED_STONE", Quantity = 8 },
                    { Resource = "WOOD", Quantity = 4 }, 
                    { Resource = "PLANK", Quantity = 2 }, 
                    { Resource = "RESOURCE_CLAY", Quantity = 4 }, 
                    { Resource = "RESOURCE_TILE", Quantity = 6 }, 
                    { Resource = "TOOL", Quantity = 2 }, 
                }
            }
        },

        -- Glass Smelter
        {
            BuildingPart = "BUILDING_PART_GLASS_SMELTER",
            BuildingPartCost = {
                BuildRightTaxes = {
                    { Resource = "GOLD", Quantity = 25 }
                },
                UpkeepCost = {
                    { Resource = "GOLD", Quantity = 10 }
                },
                RessourcesNeeded = {
                    { Resource = "WOOD", Quantity = 4 }, 
                    { Resource = "PLANK", Quantity = 4 }, 
                    { Resource = "TOOL", Quantity = 2 }, 
                    { Resource = "RESOURCE_CLAY", Quantity = 12 }, 
                    { Resource = "WOOLEN_CLOTH", Quantity = 2 }, 
                }
            }
        },

        -- -- Jeweler -- NOT YET EXPOSED IN API AS OF 2021-01-01
        -- {
        --     BuildingPart = "BUILDING_PART_JEWELER_WORKSHOP",
        --     BuildingPartCost = {
        --         BuildRightTaxes = {
        --             { Resource = "GOLD", Quantity = 25 }
        --         },
        --         UpkeepCost = {
        --             { Resource = "GOLD", Quantity = 10 }
        --         },
        --         RessourcesNeeded = {
        --             { Resource = "STONE", Quantity = 6 }, 
        --             { Resource = "WOOD", Quantity = 2 }, 
        --             { Resource = "PLANK", Quantity = 4 }, 
        --             { Resource = "TOOL", Quantity = 2 }, 
        --             { Resource = "RESOURCE_CLAY", Quantity = 10 }, 
        --         }
        --     }
        -- },


    }
})



-- Building Part: Vegetable Farm (Override) -------------------------------------------------------------------------------------
if (foundation.isModLoaded("fe9d3810-8afc-40e5-9fc9-bdbd3421e8cb")) then
	mod:override({
		Id = "BUILDING_PART_VEGETABLE_FARM1",
		Cost = {
			BuildRightTaxes = {	{ Resource = "GOLD", Quantity = 5 } },
			UpkeepCost = { 
				{ Resource = "GOLD", Quantity = 5 },
			},
			RessourcesNeeded = {
				{ Resource = "WOOD", Quantity = 10 },
				{ Resource = "STONE", Quantity = 5 },
				{ Resource = "PLANK", Quantity = 5 },
				{ Resource = "RESOURCE_THATCH", Quantity = 6 },
			}
		}
	})
end



-- Building Part: Dovecote (Override) -------------------------------------------------------------------------------------
if (foundation.isModLoaded("fe9d3810-8afc-40e5-9fc9-bdbd3421e8cb")) then
	mod:override({
		Id = "DOVECOTE1_PART",
		Cost = {
			RessourcesNeeded = {
				{ Resource = "WOOD", Quantity = 2 },
				{ Resource = "PLANK", Quantity = 4 },
				{ Resource = "RESOURCE_SHINGLE", Quantity = 2 },
			}
		}
	})
end



-- Building Part: Water mill (Override) -------------------------------------------------------------------------------------
if (foundation.isModLoaded("162964c3-f084-4062-b7d4-7a50487f28ef")) then
	mod:override({
		Id = "WATER_MILL_CORE_FLOUR_PART",
		Cost = {
			RessourcesNeeded = {
				{ Resource = "STONE", Quantity = 10 },
				{ Resource = "WOOD", Quantity = 6 },
				{ Resource = "PLANK", Quantity = 8 },
				{ Resource = "RESOURCE_CLAY", Quantity = 8 },
				{ Resource = "RESOURCE_SHINGLE", Quantity = 10 },
			}
		}
	})
	mod:override({
		Id = "WATER_MILL_CORE_TEXTILE_PART",
		Cost = {
			RessourcesNeeded = {
				{ Resource = "STONE", Quantity = 10 },
				{ Resource = "WOOD", Quantity = 6 },
				{ Resource = "PLANK", Quantity = 8 },
				{ Resource = "RESOURCE_CLAY", Quantity = 8 },
				{ Resource = "RESOURCE_SHINGLE", Quantity = 10 },
			}
		}
	})
	mod:override({
		Id = "WATER_MILL_CORE_PLANKS_PART",
		Cost = {
			RessourcesNeeded = {
				{ Resource = "STONE", Quantity = 10 },
				{ Resource = "WOOD", Quantity = 6 },
				{ Resource = "PLANK", Quantity = 8 },
				{ Resource = "RESOURCE_CLAY", Quantity = 8 },
				{ Resource = "RESOURCE_SHINGLE", Quantity = 10 },
			}
		}
	})
	mod:override({
		Id = "WATER_MILL_EXTENSION_RIGHT_BANK_PART",
		Cost = {
			RessourcesNeeded = {
				{ Resource = "STONE", Quantity = 4 },
				{ Resource = "WOOD", Quantity = 4 },
			}
		}
	})
	mod:override({
		Id = "WATER_MILL_EXTENSION_LEFT_BANK_PART",
		Cost = {
			RessourcesNeeded = {
				{ Resource = "STONE", Quantity = 4 },
				{ Resource = "WOOD", Quantity = 4 },
			}
		}
	})
end    



-- Building Part: Furniture (Override) -------------------------------------------------------------------------------------
if (foundation.isModLoaded("4a8d3ff2-60af-4c75-8950-33e990975862")) then
	mod:override({
		Id = "JOINERWORKSHOP1_PART",
		Cost = {
			BuildRightTaxes = {	{ Resource = "GOLD", Quantity = 25 } },
			UpkeepCost = { { Resource = "GOLD", Quantity = 10 } },
			RessourcesNeeded = {
				{ Resource = "STONE", Quantity = 10 },
				{ Resource = "WOOD", Quantity = 14 },
				{ Resource = "PLANK", Quantity = 14 },
				{ Resource = "TOOL", Quantity = 5 },
				{ Resource = "RESOURCE_CLAY", Quantity = 14 },
				{ Resource = "RESOURCE_SHINGLE", Quantity = 12 },
			}
		}
	})

	mod:override({
		Id = "JOINERWORKSHOP2_PART",
		Cost = {
			BuildRightTaxes = {	{ Resource = "GOLD", Quantity = 25 } },
			UpkeepCost = { { Resource = "GOLD", Quantity = 10 } },
			RessourcesNeeded = {
				{ Resource = "STONE", Quantity = 10 },
				{ Resource = "WOOD", Quantity = 10 },
				{ Resource = "PLANK", Quantity = 10 },
				{ Resource = "TOOL", Quantity = 5 },
				{ Resource = "RESOURCE_CLAY", Quantity = 10 },
				{ Resource = "RESOURCE_SHINGLE", Quantity = 12 },
			}
		}
	})
end




-- Building Part: Livestock Farm (Override) -------------------------------------------------------------------------------------
if (foundation.isModLoaded("debb69c1-eb38-4183-9739-fbafa47568b4")) then

	mod:override({
		Id = "BUTCHERSHOP1_PART",
		Cost = {
			BuildRightTaxes = {	{ Resource = "GOLD", Quantity = 25 } },
			UpkeepCost = { { Resource = "GOLD", Quantity = 10 } },
			RessourcesNeeded = {
				{ Resource = "STONE", Quantity = 8 },
				{ Resource = "WOOD", Quantity = 10 },
				{ Resource = "PLANK", Quantity = 10 },
				{ Resource = "TOOL", Quantity = 2 },
				{ Resource = "RESOURCE_CLAY", Quantity = 10 },
				{ Resource = "RESOURCE_TILE", Quantity = 12 },
			}
		}
	})

	mod:override({
		Id = "BUILDING_PART_LIVESTOCK_CREAMERY",
		Cost = {
			BuildRightTaxes = {	{ Resource = "GOLD", Quantity = 25 } },
			UpkeepCost = { { Resource = "GOLD", Quantity = 10 } },
			RessourcesNeeded = {
                { Resource = "WOOD", Quantity = 4 },
                { Resource = "STONE", Quantity = 12 },
                { Resource = "PLANK", Quantity = 8 },
				{ Resource = "RESOURCE_CLAY", Quantity = 2 },
                { Resource = "RESOURCE_SHINGLE", Quantity = 10 },
			}
		}
	})

	mod:override({
		Id = "CHANDLER2_PART",
		Cost = {
			BuildRightTaxes = {	{ Resource = "GOLD", Quantity = 25 } },
			UpkeepCost = { { Resource = "GOLD", Quantity = 10 } },
			RessourcesNeeded = {
				{ Resource = "WOOD", Quantity = 10 },
				{ Resource = "TOOL", Quantity = 2 },
				{ Resource = "RESOURCE_SHINGLE", Quantity = 8 },
			}
		}
	})

	mod:override({
		Id = "SILO1_PART",
		Cost = {
			RessourcesNeeded = {
				{ Resource = "STONE", Quantity = 1 },
				{ Resource = "WOOD", Quantity = 4 },
				{ Resource = "PLANK", Quantity = 2 },
				{ Resource = "RESOURCE_CLAY", Quantity = 4 },
				{ Resource = "RESOURCE_SHINGLE", Quantity = 4 },
			}
		}
	})

	mod:override({
		Id = "SILO2_PART",
		Cost = {
			RessourcesNeeded = {
				{ Resource = "STONE", Quantity = 1 },
				{ Resource = "WOOD", Quantity = 4 },
				{ Resource = "PLANK", Quantity = 2 },
				{ Resource = "RESOURCE_CLAY", Quantity = 4 },
				{ Resource = "RESOURCE_SHINGLE", Quantity = 4 },
			}
		}
	})

end



-- Building Part: Harbour (Override) -------------------------------------------------------------------------------------
if (foundation.isModLoaded("595ec1ef-de7e-44d1-94f6-e8ffae346ff1")) then

	mod:override({
		Id = "HARBOUR_V2_LIGHT_TOWER_ROOT_PART",
		Cost = {
			RessourcesNeeded = {
				{ Resource = "STONE", Quantity = 30 },
				{ Resource = "WOOD", Quantity = 14 },
				{ Resource = "PLANK", Quantity = 10 },
				{ Resource = "RESOURCE_CLAY", Quantity = 20 },
			}
		}
	})

	mod:override({
		Id = "HARBOUR_V2_LIGHT_ROOF_A_PART",
		Cost = {
			RessourcesNeeded = {
				{ Resource = "RESOURCE_TILE", Quantity = 8 },
			}
		}
	})

end



-- Building Part: Flax Farm (Override) -------------------------------------------------------------------------------------
if (foundation.isModLoaded("25402f80-c479-4c9b-a1c0-2bc7eedf17a1")) then
	mod:override({
		Id = "BUILDING_PART_FLAXFARM",
		Cost = {
			BuildRightTaxes = {	{ Resource = "GOLD", Quantity = 5 } },
			UpkeepCost = { { Resource = "GOLD", Quantity = 2 } },
			RessourcesNeeded = {
				{ Resource = "WOOD", Quantity = 10 },
				{ Resource = "TOOL", Quantity = 3 },
				{ Resource = "RESOURCE_THATCH", Quantity = 8 },
			}
		}
	})
end



-- Building Part: Orchard (Override) -------------------------------------------------------------------------------------
if (foundation.isModLoaded("f252f14d-ca1d-4d02-97ca-46581d4b567d")) then
	mod:override({
		Id = "BUILDING_PART_ORCHARD_FARM1",
		Cost = {
			BuildRightTaxes = {	{ Resource = "GOLD", Quantity = 25 } },
			UpkeepCost = { { Resource = "GOLD", Quantity = 20 } },
			RessourcesNeeded = {
				{ Resource = "WOOD", Quantity = 4 },
				{ Resource = "PLANK", Quantity = 2 },
				{ Resource = "RESOURCE_THATCH", Quantity = 8 },
			}
		}
	})
end



-- Building Part: Pastry (Override) -------------------------------------------------------------------------------------
if (foundation.isModLoaded("4de588cf-4d24-422a-bbd6-7c97c22ff496")) then

	mod:override({
		Id = "PV4_PASTRY_WORKPLACE_PART",
		Cost = {
			BuildRightTaxes = {	{ Resource = "GOLD", Quantity = 25 } },
			UpkeepCost = { { Resource = "GOLD", Quantity = 15 } },
			RessourcesNeeded = {
				{ Resource = "STONE", Quantity = 6 },
				{ Resource = "WOOD", Quantity = 6 },
				{ Resource = "PLANK", Quantity = 6 },
				{ Resource = "RESOURCE_CLAY", Quantity = 8 },
				{ Resource = "RESOURCE_SHINGLE", Quantity = 10 },
			}
		}
	})

	mod:override({
		Id = "PV4_CREAMERY_PART",
		Cost = {
			BuildRightTaxes = {	{ Resource = "GOLD", Quantity = 25 } },
			UpkeepCost = { { Resource = "GOLD", Quantity = 15 } },
			RessourcesNeeded = {
				{ Resource = "STONE", Quantity = 6 },
				{ Resource = "WOOD", Quantity = 6 },
				{ Resource = "PLANK", Quantity = 6 },
				{ Resource = "RESOURCE_CLAY", Quantity = 8 },
				{ Resource = "RESOURCE_SHINGLE", Quantity = 10 },
			}
		}
	})

end



-- Building Part: Authority (Lord Manor) (Override) -------------------------------------------------------------------------------------
if (foundation.isModLoaded("93098b10-e659-49db-ae11-f08341972d46")) then

	mod:override({
		Id = "BUILDING_PART_AUTHORITY_HALL1",
		Cost = {
			-- BuildRightTaxes = {	{ Resource = "GOLD", Quantity = 25 } },
			UpkeepCost = { { Resource = "GOLD_COINS", Quantity = 8 } },
			RessourcesNeeded = {
				{ Resource = "STONE", Quantity = 10 },
				{ Resource = "WOOD", Quantity = 5 },
				{ Resource = "PLANK", Quantity = 25 },
				{ Resource = "RESOURCE_SHINGLE", Quantity = 12 },
			}
		},
	})

	mod:override({
		Id = "BUILDING_PART_AUTHORITY_HALL2",
		Cost = {
			-- BuildRightTaxes = {	{ Resource = "GOLD", Quantity = 25 } },
			UpkeepCost = { { Resource = "GOLD_COINS", Quantity = 8 } },
			RessourcesNeeded = {
				{ Resource = "STONE", Quantity = 10 },
				{ Resource = "WOOD", Quantity = 5 },
				{ Resource = "PLANK", Quantity = 25 },
				{ Resource = "RESOURCE_CLAY", Quantity = 8 },
				{ Resource = "RESOURCE_SHINGLE", Quantity = 12 },
			}
		},
	})

	mod:override({
		Id = "BUILDING_PART_AUTHORITY_HALL3",
		Cost = {
			-- BuildRightTaxes = {	{ Resource = "GOLD", Quantity = 25 } },
			UpkeepCost = { { Resource = "GOLD_COINS", Quantity = 8 } },
			RessourcesNeeded = {
				{ Resource = "STONE", Quantity = 10 },
				{ Resource = "WOOD", Quantity = 20 },
				{ Resource = "PLANK", Quantity = 5 },
				{ Resource = "RESOURCE_CLAY", Quantity = 12 },
				{ Resource = "RESOURCE_SHINGLE", Quantity = 12 },
			}
		},
	})

	mod:override({
		Id = "BUILDING_PART_AUTHORITY_HALL4",
		Cost = {
			-- BuildRightTaxes = {	{ Resource = "GOLD", Quantity = 25 } },
			UpkeepCost = { { Resource = "GOLD_COINS", Quantity = 8 } },
			RessourcesNeeded = {
				{ Resource = "STONE", Quantity = 25 },
				{ Resource = "WOOD", Quantity = 10 },
				{ Resource = "RESOURCE_SHINGLE", Quantity = 12 },
			}
		},
	})

	mod:override({
		Id = "BUILDING_PART_AUTHORITY_KITCHEN",
		Cost = {
			-- BuildRightTaxes = {	{ Resource = "GOLD", Quantity = 25 } },
			UpkeepCost = { { Resource = "GOLD_COINS", Quantity = 10 } },
			RessourcesNeeded = {
				{ Resource = "STONE", Quantity = 6 },
				{ Resource = "WOOD", Quantity = 4 },
				{ Resource = "PLANK", Quantity = 10 },
				{ Resource = "RESOURCE_SHINGLE", Quantity = 6 },
			}
		}
	})

	mod:override({
		Id = "BUILDING_PART_AUTHORITY_STORAGE1",
		Cost = {
			-- BuildRightTaxes = {	{ Resource = "GOLD", Quantity = 25 } },
			UpkeepCost = { { Resource = "GOLD_COINS", Quantity = 4 } },
			RessourcesNeeded = {
				{ Resource = "STONE", Quantity = 10 },
				{ Resource = "WOOD", Quantity = 2 },
				{ Resource = "PLANK", Quantity = 2 },
				{ Resource = "RESOURCE_SHINGLE", Quantity = 4 },
			}
		}
	})

	mod:override({
		Id = "BUILDING_PART_AUTHORITY_STORAGE2",
		Cost = {
			-- BuildRightTaxes = {	{ Resource = "GOLD", Quantity = 25 } },
			UpkeepCost = { { Resource = "GOLD_COINS", Quantity = 4 } },
			RessourcesNeeded = {
				{ Resource = "STONE", Quantity = 4 },
				{ Resource = "WOOD", Quantity = 2 },
				{ Resource = "PLANK", Quantity = 8 },
				{ Resource = "RESOURCE_SHINGLE", Quantity = 4 },
			}
		}
	})

	mod:override({
		Id = "BUILDING_PART_AUTHORITY_GARDENSHED",
		Cost = {
			-- BuildRightTaxes = {	{ Resource = "GOLD", Quantity = 25 } },
			UpkeepCost = { { Resource = "GOLD_COINS", Quantity = 1 } },
			RessourcesNeeded = {
				{ Resource = "STONE", Quantity = 4 },
				{ Resource = "WOOD", Quantity = 1 },
				{ Resource = "PLANK", Quantity = 4 },
				{ Resource = "TOOL", Quantity = 1 },
				{ Resource = "RESOURCE_SHINGLE", Quantity = 4 },
			}
		}
	})

end



-- Building Part: Harbour Trading (Override) -------------------------------------------------------------------------------------
if (foundation.isModLoaded("467b9d01-c8f4-42b5-a3a9-5b026376a6a3")) then

	mod:override({
		Id = "BUILDING_PART_HARBORTRADE_HOUSE",
		Cost = {
			BuildRightTaxes = {	{ Resource = "GOLD_COINS", Quantity = 100 } },
			UpkeepCost = { { Resource = "GOLD_COINS", Quantity = 50 } },
			RessourcesNeeded = {
				{ Resource = "STONE", Quantity = 20 },
				{ Resource = "WOOD", Quantity = 20 },
				{ Resource = "PLANK", Quantity = 40 },
				{ Resource = "RESOURCE_SHINGLE", Quantity = 12 },
			}
		}
	})

	mod:override({
		Id = "BUILDING_PART_HARBORTRADE_WAREHOUSE2",
		Cost = {
			BuildRightTaxes = {	{ Resource = "GOLD_COINS", Quantity = 10 } },
			UpkeepCost = { { Resource = "GOLD_COINS", Quantity = 5 } },
			RessourcesNeeded = {
				{ Resource = "WOOD", Quantity = 4 },
				{ Resource = "RESOURCE_SHINGLE", Quantity = 4 },
			}
		},
	})

	mod:override({
		Id = "BUILDING_PART_HARBORTRADE_WAREHOUSE5",
		Cost = {
			BuildRightTaxes = {	{ Resource = "GOLD_COINS", Quantity = 10 } },
			UpkeepCost = { { Resource = "GOLD_COINS", Quantity = 5 } },
			RessourcesNeeded = {
				{ Resource = "WOOD", Quantity = 4 },
				{ Resource = "RESOURCE_SHINGLE", Quantity = 4 },
			}
		},
	})

end



-- Building Part: Trading Post (Override) -------------------------------------------------------------------------------------
if (foundation.isModLoaded("9fc78b27-77d7-4f5f-96b2-464e458e3e06")) then

	mod:override({
		Id = "BUILDING_PART_TRADINGPOST",
		Cost = {
            BuildRightTaxes = {	{ Resource = "GOLD_COINS", Quantity = 50 } },
            UpkeepCost = { { Resource = "GOLD_COINS", Quantity = 25 } },
            RessourcesNeeded = {
                { Resource = "STONE", Quantity = 30 },
				{ Resource = "RESOURCE_TILE", Quantity = 20 },
            }
		}
	})

end



-- Building Part: Hospital (Override) -------------------------------------------------------------------------------------
if (foundation.isModLoaded("618c6eec-46f0-434d-b645-418462e889d8")) then

	mod:override({
		Id = "BUILDING_PART_PLAGUE_HOSPITAL",
		Cost = {
            BuildRightTaxes = {
                { Resource = "GOLD_COINS", Quantity = 60 }
            },
            UpkeepCost = {
                { Resource = "GOLD_COINS", Quantity = 40 }
            },
            RessourcesNeeded = {
                { Resource = "STONE", Quantity = 20 },
                { Resource = "WOOD", Quantity = 12 },
                { Resource = "PLANK", Quantity = 16 },
                { Resource = "RESOURCE_CLAY", Quantity = 16 },
                { Resource = "RESOURCE_TILE", Quantity = 20 },
                { Resource = "POLISHED_STONE", Quantity = 10 },
                { Resource = "TOOL", Quantity = 4 },
            }
        }
	})

	mod:override({
		Id = "BUILDING_PART_PLAGUE_HOSPITAL_BEDS",
        Cost = {
            UpkeepCost = {
                { Resource = "GOLD_COINS", Quantity = 10 }
            },
            RessourcesNeeded = {
                { Resource = "STONE", Quantity = 12 },
                { Resource = "WOOD", Quantity = 12 },
                { Resource = "RESOURCE_CLAY", Quantity = 12 },
                { Resource = "RESOURCE_TILE", Quantity = 16 },
            }
        }
    })

end



-- Building Part: Placeable Houses (Override) -------------------------------------------------------------------------------------
if (foundation.isModLoaded("23b4f5f5-b7fd-4d79-80fd-d9943211c460")) then

	mod:override({
		Id = "BUILDING_PART_EMPTY_HOUSE_L1D1",
		Cost = {
            RessourcesNeeded = {
                { Resource = "WOOD", Quantity = 6 },
                { Resource = "RESOURCE_THATCH", Quantity = 6 },
                { Resource = "RESOURCE_CLAY", Quantity = 6 },
            }
        }
	})

	mod:override({
		Id = "BUILDING_PART_EMPTY_HOUSE_L1D2",
		Cost = {
            RessourcesNeeded = {
                { Resource = "WOOD", Quantity = 12 },
                { Resource = "RESOURCE_THATCH", Quantity = 12 },
                { Resource = "RESOURCE_CLAY", Quantity = 12 },
            }
        }
	})

	mod:override({
		Id = "BUILDING_PART_EMPTY_HOUSE_L2D1",
		Cost = {
            RessourcesNeeded = {
                { Resource = "WOOD", Quantity = 10 },
                { Resource = "RESOURCE_SHINGLE", Quantity = 10 },
                { Resource = "STONE", Quantity = 10 },
            }
        }
	})

	mod:override({
		Id = "BUILDING_PART_EMPTY_HOUSE_L2D2",
		Cost = {
            RessourcesNeeded = {
                { Resource = "WOOD", Quantity = 20 },
                { Resource = "RESOURCE_SHINGLE", Quantity = 20 },
                { Resource = "STONE", Quantity = 20 },
            }
        }
	})

end



-- Building Part: Vanioville (Override) -------------------------------------------------------------------------------------
if (foundation.isModLoaded("7786b0a3-cb8f-4c78-9ba6-ca3745b7c677")) then

    -- type 1
    function registerVanioville1(partId)
        mod:override({
            Id = "JK_" .. partId .. "_PART",
            Cost = {
                RessourcesNeeded = {
                    { Resource = "WOOD", Quantity = 6 },
                    { Resource = "PLANK", Quantity = 12 },
                    { Resource = "RESOURCE_CLAY", Quantity = 6 },
                    { Resource = "RESOURCE_THATCH", Quantity = 12 },
                }
            }
        })
    end

    registerVanioville1("HOUSE_A")
    registerVanioville1("HOUSE_A_0")
    registerVanioville1("HOUSE_A_N")
    registerVanioville1("ASSEMBLED_HOUSE_A")


    -- type 2
    function registerVanioville2(partId)
        mod:override({
            Id = "JK_" .. partId .. "_PART",
            Cost = {
                RessourcesNeeded = {
                    { Resource = "WOOD", Quantity = 6 },
                    { Resource = "PLANK", Quantity = 6 },
                    { Resource = "RESOURCE_CLAY", Quantity = 12 },
                    { Resource = "RESOURCE_THATCH", Quantity = 6 },
                }
            }
        })
    end

    registerVanioville2("HOUSE_B")
    registerVanioville2("HOUSE_B_0")
    registerVanioville2("HOUSE_B_N")
    registerVanioville2("ASSEMBLED_HOUSE_B")
    

    -- type 3
    function registerVanioville3(partId)
        mod:override({
            Id = "JK_" .. partId .. "_PART",
            Cost = {
                RessourcesNeeded = {
                    { Resource = "WOOD", Quantity = 6 },
                    { Resource = "PLANK", Quantity = 6 },
                    { Resource = "RESOURCE_CLAY", Quantity = 6 },
                    { Resource = "RESOURCE_THATCH", Quantity = 6 },
                }
            }
        })
    end

    registerVanioville3("HOUSE_C")
    registerVanioville3("HOUSE_C_0")
    registerVanioville3("HOUSE_C_N")
    registerVanioville3("ASSEMBLED_HOUSE_C")


    -- type 4
    function registerVanioville4(partId)
        mod:override({
            Id = "JK_" .. partId .. "_PART",
            Cost = {
                RessourcesNeeded = {
                    { Resource = "WOOD", Quantity = 6 },
                    { Resource = "PLANK", Quantity = 6 },
                    { Resource = "STONE", Quantity = 10 },
                    { Resource = "RESOURCE_CLAY", Quantity = 10 },
                    { Resource = "RESOURCE_SHINGLE", Quantity = 10 },
                }
            }
        })
    end

    registerVanioville4("HOUSE_D")
    registerVanioville4("HOUSE_D_0")
    registerVanioville4("HOUSE_D_N")
    registerVanioville4("ASSEMBLED_HOUSE_D")

    registerVanioville4("HOUSE_AH")
    registerVanioville4("HOUSE_AH_0")
    registerVanioville4("HOUSE_AH_N")
    registerVanioville4("ASSEMBLED_HOUSE_AH")

    
    -- type 5
    function registerVanioville5(partId)
        mod:override({
            Id = "JK_" .. partId .. "_PART",
            Cost = {
                RessourcesNeeded = {
                    { Resource = "WOOD", Quantity = 4 },
                    { Resource = "RESOURCE_CLAY", Quantity = 4 },
                    { Resource = "RESOURCE_THATCH", Quantity = 6 },
                }
            }
        })
    end

    registerVanioville5("HOUSE_E")
    registerVanioville5("HOUSE_E_0")
    registerVanioville5("HOUSE_E_N")
    registerVanioville5("ASSEMBLED_HOUSE_E")

    
    -- type 6
    function registerVanioville6(partId)
        mod:override({
            Id = "JK_" .. partId .. "_PART",
            Cost = {
                RessourcesNeeded = {
                    { Resource = "WOOD", Quantity = 10 },
                    { Resource = "PLANK", Quantity = 10 },
                    { Resource = "STONE", Quantity = 10 },
                    { Resource = "RESOURCE_CLAY", Quantity = 10 },
                    { Resource = "RESOURCE_SHINGLE", Quantity = 12 },
                }
            }
        })
    end

    registerVanioville6("HOUSE_F")
    registerVanioville6("HOUSE_F_0")
    registerVanioville6("HOUSE_F_N")
    registerVanioville6("ASSEMBLED_HOUSE_F")

    
    -- type 7
    function registerVanioville7(partId)
        mod:override({
            Id = "JK_" .. partId .. "_PART",
            Cost = {
                RessourcesNeeded = {
                    { Resource = "WOOD", Quantity = 12 },
                    { Resource = "PLANK", Quantity = 10 },
                    { Resource = "STONE", Quantity = 10 },
                    { Resource = "RESOURCE_CLAY", Quantity = 10 },
                    { Resource = "RESOURCE_SHINGLE", Quantity = 12 },
                }
            }
        })
    end

    registerVanioville7("HOUSE_G")
    registerVanioville7("HOUSE_G_0")
    registerVanioville7("HOUSE_G_N")
    registerVanioville7("ASSEMBLED_HOUSE_G")

    
    -- type 8
    function registerVanioville8(partId)
        mod:override({
            Id = "JK_" .. partId .. "_PART",
            Cost = {
                RessourcesNeeded = {
                    { Resource = "WOOD", Quantity = 6 },
                    { Resource = "RESOURCE_CLAY", Quantity = 6 },
                    { Resource = "RESOURCE_THATCH", Quantity = 6 },
                }
            }
        })
    end

    registerVanioville8("HOUSE_H")
    registerVanioville8("HOUSE_H_0")
    registerVanioville8("HOUSE_H_N")
    registerVanioville8("ASSEMBLED_HOUSE_H")

    registerVanioville8("HOUSE_O")
    registerVanioville8("HOUSE_O_0")
    registerVanioville8("HOUSE_O_N")
    registerVanioville8("ASSEMBLED_HOUSE_O")

    
    -- type 9
    function registerVanioville9(partId)
        mod:override({
            Id = "JK_" .. partId .. "_PART",
            Cost = {
                RessourcesNeeded = {
                    { Resource = "WOOD", Quantity = 12 },
                    { Resource = "PLANK", Quantity = 20 },
                    { Resource = "RESOURCE_CLAY", Quantity = 10 },
                    { Resource = "RESOURCE_SHINGLE", Quantity = 12 },
                }
            }
        })
    end

    registerVanioville9("HOUSE_I")
    registerVanioville9("HOUSE_I_0")
    registerVanioville9("HOUSE_I_N")
    registerVanioville9("ASSEMBLED_HOUSE_I")

    registerVanioville9("HOUSE_AA")
    registerVanioville9("HOUSE_AA_0")
    registerVanioville9("HOUSE_AA_N")
    registerVanioville9("ASSEMBLED_HOUSE_AA")

    
    -- type 10
    function registerVanioville10(partId)
        mod:override({
            Id = "JK_" .. partId .. "_PART",
            Cost = {
                RessourcesNeeded = {
                    { Resource = "WOOD", Quantity = 12 },
                    { Resource = "PLANK", Quantity = 10 },
                    { Resource = "STONE", Quantity = 16 },
                    { Resource = "RESOURCE_CLAY", Quantity = 10 },
                    { Resource = "RESOURCE_SHINGLE", Quantity = 12 },
                }
            }
        })
    end

    registerVanioville10("HOUSE_J")
    registerVanioville10("HOUSE_J_0")
    registerVanioville10("HOUSE_J_N")
    registerVanioville10("ASSEMBLED_HOUSE_J")

    
    -- type 11
    function registerVanioville11(partId)
        mod:override({
            Id = "JK_" .. partId .. "_PART",
            Cost = {
                RessourcesNeeded = {
                    { Resource = "WOOD", Quantity = 18 },
                    { Resource = "PLANK", Quantity = 12 },
                    { Resource = "STONE", Quantity = 12 },
                    { Resource = "RESOURCE_CLAY", Quantity = 20 },
                    { Resource = "RESOURCE_SHINGLE", Quantity = 12 },
                }
            }
        })
    end

    registerVanioville11("HOUSE_K")
    registerVanioville11("HOUSE_K_0")
    registerVanioville11("HOUSE_K_N")
    registerVanioville11("ASSEMBLED_HOUSE_K")

    registerVanioville11("HOUSE_M")
    registerVanioville11("HOUSE_M_0")
    registerVanioville11("HOUSE_M_N")
    registerVanioville11("ASSEMBLED_HOUSE_M")

    
    -- type 12
    function registerVanioville12(partId)
        mod:override({
            Id = "JK_" .. partId .. "_PART",
            Cost = {
                RessourcesNeeded = {
                    { Resource = "WOOD", Quantity = 18 },
                    { Resource = "PLANK", Quantity = 12 },
                    { Resource = "STONE", Quantity = 12 },
                    { Resource = "RESOURCE_CLAY", Quantity = 20 },
                    { Resource = "RESOURCE_SHINGLE", Quantity = 12 },
                }
            }
        })
    end

    registerVanioville12("HOUSE_L")
    registerVanioville12("HOUSE_L_0")
    registerVanioville12("HOUSE_L_N")
    registerVanioville12("ASSEMBLED_HOUSE_L")

    registerVanioville12("HOUSE_N")
    registerVanioville12("HOUSE_N_0")
    registerVanioville12("HOUSE_N_N")
    registerVanioville12("ASSEMBLED_HOUSE_N")

    registerVanioville12("HOUSE_P")
    registerVanioville12("HOUSE_P_0")
    registerVanioville12("HOUSE_P_N")
    registerVanioville12("ASSEMBLED_HOUSE_P")

end



-- Building Part: Rustic Church Rework (Override) -------------------------------------------------------------------------------------
if (foundation.isModLoaded("1374ff7a-476d-4b3f-8ec4-e46d96551375")) then

	mod:override({
		Id = "BUILDING_PART_CE_RUSTIC_CORE1_END",
		Cost = {
            RessourcesNeeded = {
                { Resource = "WOOD", Quantity = 8 },
                { Resource = "PLANK", Quantity = 4 },
                { Resource = "RESOURCE_SHINGLE", Quantity = 16 },
                { Resource = "STONE", Quantity = 8 },
            }
        }
	})

	mod:override({
		Id = "BUILDING_PART_CE_RUSTIC_DOOR1",
		Cost = {
            RessourcesNeeded = {
                { Resource = "PLANK", Quantity = 2 },
                { Resource = "RESOURCE_SHINGLE", Quantity = 2 },
                { Resource = "TOOL", Quantity = 1 },
                }
        }
	})

	mod:override({
		Id = "BUILDING_PART_CE_RUSTIC_EXTENSION1_END",
		Cost = {
            RessourcesNeeded = {
                { Resource = "WOOD", Quantity = 4 },
                { Resource = "PLANK", Quantity = 2 },
                { Resource = "RESOURCE_SHINGLE", Quantity = 8 },
                { Resource = "STONE", Quantity = 4 },
                }
        }
	})

end



-- Building Part: Fishing Shacks (Override) -------------------------------------------------------------------------------------
if (foundation.isModLoaded("a673e06c-5bfd-4325-bd33-398fbd9e5531")) then

	mod:override({
		Id = "JK_FISHING_SHACK_A",
		Cost = {
            RessourcesNeeded = {
                { Resource = "WOOD", Quantity = 8 },
                { Resource = "PLANK", Quantity = 4 },
                { Resource = "RESOURCE_THATCH", Quantity = 8 },
            }
        }
	})

    mod:override({
		Id = "JK_FISHING_SHACK_B",
		Cost = {
            RessourcesNeeded = {
                { Resource = "WOOD", Quantity = 12 },
                { Resource = "PLANK", Quantity = 8 },
                { Resource = "RESOURCE_SHINGLE", Quantity = 10 },
            }
        }
	})

    mod:override({
		Id = "JK_FISHING_SHACK_C",
		Cost = {
            RessourcesNeeded = {
                { Resource = "WOOD", Quantity = 6 },
                { Resource = "PLANK", Quantity = 4 },
                { Resource = "RESOURCE_SHINGLE", Quantity = 6 },
            }
        }
	})

end

