local mod = ...



-- -- Resource: Shingle -------------------------------------------------------------------------------------
-- mod:registerAssetId("icons/Shingle.png", "ICON_SHINGLE")

-- mod:register({
-- 	DataType = "RESOURCE",
-- 	Id = "RESOURCE_SHINGLE",
-- 	ResourceName = "RESOURCE_SHINGLE_NAME",
-- 	Icon = "ICON_SHINGLE",
-- 	ResourceTypeList = { "RESOURCE" },
-- 	IsTradable = true,
--     DisplayInInventory = true,
-- 	DisplayInToolbar = false,
-- 	OrderId = 0
-- })



-- Building Function: Shingles -------------------------------------------------------------------------------------
mod:register({
    DataType = "BUILDING_FUNCTION_WORKPLACE",
    Id = "BUILDING_FUNCTION_BASIC_SHINGLE",
	Name = "BUILDING_FUNCTION_BASIC_SHINGLE_NAME",
	IsPrivate = false,
    WorkerCapacity = 3,
    RelatedJob = { 
        Job = "CARPENTER", 
        Behavior = "BEHAVIOR_WORK"
	},
	InputInventoryCapacity = {
		{ Resource = "WOOD", Quantity = 50 },
	},
    ResourceListNeeded = {
		{ Resource = "WOOD", Quantity = 1 },
	},
	ResourceProduced = {
		{ Resource = "RESOURCE_SHINGLE", Quantity = 1 },
	}
})



-- Building Function Assignable: Sawmill -------------------------------------------------------------------------------------
mod:register({
    DataType = "BUILDING_FUNCTION_ASSIGNABLE",
    Id = "BUILDING_FUNCTION_ASSIGNABLE_BASIC_SAWMILL",
    AuthorizedFunctionList = "BUILDING_FUNCTION_LIST_BASIC_SAWMILL"
})

mod:register({
    DataType = "BUILDING_FUNCTION_LIST",
    Id = "BUILDING_FUNCTION_LIST_BASIC_SAWMILL",
    AssetFunctionList = {
        "BUILDING_FUNCTION_SAWMILL",
        "BUILDING_FUNCTION_BASIC_SHINGLE",
    }
})



-- Building Part: Sawmill (Override) -------------------------------------------------------------------------------------
mod:override({
	Id = "BUILDING_PART_SAWMILL",
	AssetBuildingFunction = "BUILDING_FUNCTION_ASSIGNABLE_BASIC_SAWMILL"
})



-- Building Function: Sawmill (Override) -------------------------------------------------------------------------------------
mod:override({
	Id = "BUILDING_FUNCTION_SAWMILL",
	Name = "BUILDING_FUNCTION_SAWMILL_NAME"
})